Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class Visitor

    java.lang.Object
      org.pdfclown.objects.Visitor

All Implemented Interfaces:
  IVisitor

Direct Known Subclasses:
  Cloner

    public class Visitor

extends Object
implements IVisitor

Visitor object.

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Visitor()`

Method Summary
`PdfObject` | `visit(ObjectStream object, Object data)` Visits an object stream.
`PdfObject` | `visit(PdfArray object, Object data)` Visits an object array.
`PdfObject` | `visit(PdfBoolean object, Object data)` Visits a boolean object.
`PdfObject` | `visit(PdfDataObject object, Object data)` Visits a data object.
`PdfObject` | `visit(PdfDate object, Object data)` Visits a date object.
`PdfObject` | `visit(PdfDictionary object, Object data)` Visits an object dictionary.
`PdfObject` | `visit(PdfIndirectObject object, Object data)` Visits an indirect object.
`PdfObject` | `visit(PdfInteger object, Object data)` Visits an integer-number object.
`PdfObject` | `visit(PdfName object, Object data)` Visits a name object.
`PdfObject` | `visit(PdfReal object, Object data)` Visits a real-number object.
`PdfObject` | `visit(PdfReference object, Object data)` Visits a reference object.
`PdfObject` | `visit(PdfStream object, Object data)` Visits a stream object.
`PdfObject` | `visit(PdfString object, Object data)` Visits a string object.
`PdfObject` | `visit(PdfTextString object, Object data)` Visits a text string object.
`PdfObject` | `visit(XRefStream object, Object data)` Visits a cross-reference stream object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Visitor

    public Visitor()

Method Detail

### visit

    public PdfObject visit(ObjectStream object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits an object stream.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfArray object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits an object array.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfBoolean object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a boolean object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfDataObject object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a data object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfDate object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a date object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfDictionary object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits an object dictionary.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfIndirectObject object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits an indirect object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfInteger object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits an integer-number object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfName object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a name object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfReal object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a real-number object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfReference object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a reference object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfStream object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a stream object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfString object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a string object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(PdfTextString object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a text string object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

### visit

    public PdfObject visit(XRefStream object,
                           Object data)

  Description copied from interface: `IVisitor`
  Visits a cross-reference stream object.

  Specified by:
    `visit` in interface `IVisitor`
  Parameters:
    `object` - Visited object.
    `data` - Supplemental data.
  Returns:
    Result object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.